@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/mixins/_breakpoints";

.fms-style-alternative {
    @include media-breakpoint-up(md) {
        columns: 2;
    }

    div.object-container {
        columns: 2;
        @include media-breakpoint-up(lg) {
            columns: 4;
        }
        padding: 0.25rem 0;
    }

    .object {
        padding-bottom: 0.5rem;
    }

    .status {
        color: #fff;
        margin-right: 10px;
        text-align: center;
        vertical-align: middle;
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
        border-bottom-left-radius: 5px;
        border-bottom-right-radius: 5px;
        background-color: gray;
        width: 2rem;
        height: 2rem;
        display: inline-block;

        & > span {
            vertical-align: middle;
        }
    }

    .status--0 {
        background-color: rgb(255, 0, 0);
        color: white;
    }
    .status--1 {
        background-color: rgb(0, 255, 0);
        color: black;
    }
    .status--2 {
        background-color: rgb(0, 193, 0);
        color: black;
    }
    .status--3 {
        background-color: rgb(255, 255, 60);
        color: black;
    }
    .status--4 {
        background-color: rgb(0, 128, 255);
        color: white;
    }
    .status--5 {
        background-color: rgb(255, 0, 255);
        color: black;
    }
    .status--6 {
        background-color: rgb(221, 111, 0);
        color: black;
    }
    .status--7 {
        background-color: rgb(255, 128, 0);
        color: black;
    }
    .status--8 {
        background-color: rgb(170, 85, 0);
        color: white;
    }
    .status--9 {
        background-color: rgb(0, 0, 0);
        color: black;
    }
    .status--10 {
        background-color: rgb(217, 0, 0);
        color: white;
    }
    .status--C {
        background-color: rgb(240, 173, 95);
        color: black;
    }

    .bma .status--0 {
        background-color: rgb(235, 235, 235);
    }
    .bma .status--1 {
        background-color: rgb(217, 0, 0);
    }

    .bettenbelegung .status {
        background-color: rgb(171, 171, 171);
        color: black;
    }
    .bettenbelegung .status.status--0 {
        background-color: rgb(217, 0, 0);
    }
}
